using System;
using System.IO;

namespace Wechat.PayAPI
{
    public class Log
    {
        static private readonly NLog.Logger Logger = NLog.LogManager.GetLogger("Main");
        //在网站根目录下创建日志目录


        /**
         * 向日志文件写入调试信息
         * @param className 类名
         * @param content 写入内容
         */
        public static void Debug(string className, string content)
        {
            Logger.Debug(className + ": " +content);

        }

        /**
        * 向日志文件写入运行时信息
        * @param className 类名
        * @param content 写入内容
        */
        public static void Info(string className, string content)
        {
            Logger.Info(className + ": " + content);
        }

        /**
        * 向日志文件写入出错信息
        * @param className 类名
        * @param content 写入内容
        */
        public static void Error(string className, string content)
        {
            Logger.Error(className + ": " + content);
        }
    }
}